> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Override SLA for a job



## OpenAPI

````yaml post /v1/sla/override-sla
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://sla.thena.ai
security: []
tags:
  - name: Thena Platform APIs
    description: ''
paths:
  /v1/sla/override-sla:
    post:
      tags:
        - SLA Duration
      summary: Override SLA for a job
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OverrideSlaBody'
      responses:
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    OverrideSlaBody:
      type: object
      properties:
        entityId:
          type: string
          description: The unique identifier of the entity
          example: entity-123456
        entityType:
          type: string
          description: The type of the entity
          example: ticket
        metricOverrides:
          description: The metric overrides
          type: array
          items:
            $ref: '#/components/schemas/MetricDuration'
      required:
        - entityId
        - entityType
        - metricOverrides
    MetricDuration:
      type: object
      properties:
        durationInMinutes:
          type: number
          description: The duration in minutes
          example: 120
        metric:
          type: string
          description: The metric to be used for the SLA job
          example: response_time
          enum:
            - first_time_response
            - next_time_response
            - total_resolution_time
            - update_time
      required:
        - durationInMinutes
        - metric

````